package ru.ifmo.ga.fx;

import java.util.Date;

public class SimplePointMetadata implements PointMetadata {
    private double value;
    private String clientName;
    private Date date;

    public String getClientName() {
        return clientName;
    }

    public void setClientName(String clientName) {
        this.clientName = clientName;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public double getValue() {
        return value;
    }


    public void setValue(double value) {
        this.value = value;
    }

    public SimplePointMetadata clone() {
        try {
            return (SimplePointMetadata) super.clone();
        } catch (CloneNotSupportedException e) {
            System.out.println(e.getMessage());
            return null;
        }
    }

    public int compareTo(PointMetadata pm) {
        return Double.valueOf(value).compareTo(Double.valueOf(pm.getValue()));
    }

    public SimplePointMetadata() {
    }

    public SimplePointMetadata(String clientName, Date date, double value) {
        this.clientName = clientName;
        this.date = date;
        this.value = value;
    }
}
