package ru.ifmo.ga.ca;

/**
 * User: Yuri D. Bedny
 * Date: May 1, 2006
 * Time: 10:14:54 PM
 */

public class DefaultCABuilder {
    public SimpleCA build(Rule r) {
        SimpleCA ca = new SimpleCA();
        ca.setSize(149);
        ca.setRule(r);
        return ca;
    }

    public SimpleCA build(String rule) {
        Rule r = new Rule();
        r.setRadius(3);
        try {
            r.parseRule(rule);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return build(r);
    }
}
