package ru.ifmo.ga.ca.configuration;

/**
 * User: Yuri D. Bedny
 * Date: Apr 14, 2006
 * Time: 1:41:52 PM
 */
public interface Configuration extends Cloneable {
    void clear();
    boolean get(int i);
    void set(int i, boolean b);
    boolean isClassified(boolean allones);
    boolean isOnesMajority();
    int size();
    long toLong();
    boolean[] toBooleanArray();
    int cardinality();
    Configuration clone();
    boolean isCyclicEquals(Configuration cfg);
    boolean equals(Object cfg);

    int diameter();
}
